org.apache.olingo.odata2.jpa.processor.api.factory

## Interface ODataJPAAccessFactory

-     public interface ODataJPAAccessFactory

  Factory interface for creating following instances

  - OData JPA Processor of type `ODataSingleProcessor`
  - JPA EDM Provider of type `EdmProvider`
  - OData JPA Context `ODataJPAContext`
  - OData JPA Response Builder `ODataJPAResponseBuilder`
  See Also:
    `ODataJPAFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmProvider` | `createJPAEdmProvider(ODataJPAContext oDataJPAContext)`
    `ODataJPAContext` | `createODataJPAContext()` The method creates an instance of OData JPA Context.
    `ODataSingleProcessor` | `createODataProcessor(ODataJPAContext oDataJPAContext)` The method creates an OData JPA Processor.
    `ODataJPAMessageService` | `getODataJPAMessageService(Locale locale)` The method creates an instance of message service for loading language dependent message text.
    `ODataJPAResponseBuilder` | `getODataJPAResponseBuilder(ODataJPAContext oDataJPAContext)`

- - ### Method Detail

    - #### createODataProcessor

          ODataSingleProcessor createODataProcessor(ODataJPAContext oDataJPAContext)

      The method creates an OData JPA Processor. The processor handles runtime behavior of an OData service.
      Parameters:
        `oDataJPAContext` - an instance of type `ODataJPAContext`. The context should be initialized properly and cannot be null.
      Returns:
        An implementation of OData JPA Processor.

    - #### createJPAEdmProvider

          EdmProvider createJPAEdmProvider(ODataJPAContext oDataJPAContext)

      Parameters:
        `oDataJPAContext` - an instance of type `ODataJPAContext`. The context should be initialized properly and cannot be null.
      Returns:
        An implementation of JPA EdmProvider. EdmProvider handles meta-data.

    - #### createODataJPAContext

          ODataJPAContext createODataJPAContext()

      The method creates an instance of OData JPA Context. An empty instance is returned.
      Returns:
        an instance of type `ODataJPAContext`

    - #### getODataJPAMessageService

          ODataJPAMessageService getODataJPAMessageService(Locale locale)

      The method creates an instance of message service for loading language dependent message text.
      Parameters:
        `locale` - is the language in which the message service should load message texts.
      Returns:
        an instance of type `ODataJPAMessageService`

    - #### getODataJPAResponseBuilder

          ODataJPAResponseBuilder getODataJPAResponseBuilder(ODataJPAContext oDataJPAContext)

      Parameters:
        `oDataJPAContext` - an instance of type `ODataJPAContext`. The context should be initialized properly and cannot be null. The method creates an instance of OData Response Builder for building OData Responses from a JPA Entity.
      Returns:
        an instance of type`ODataJPAResponseBuilder`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.